package com.ruoyi.project.configuration.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.configuration.mapper.TStaffmgrMapper;
import com.ruoyi.project.configuration.domain.TStaffmgr;
import com.ruoyi.project.configuration.service.ITStaffmgrService;

import javax.annotation.Resource;

/**
 * 人员信息Service业务层处理
 *
 * @author ruoyi
 * @date 2022-01-11
 */
@Service
public class TStaffmgrServiceImpl implements ITStaffmgrService
{
    @Resource
    private TStaffmgrMapper tStaffmgrMapper;

    /**
     * 查询人员信息
     *
     * @param id 人员信息ID
     * @return 人员信息
     */
    @Override
    public TStaffmgr selectTStaffmgrById(Long id)
    {
        return tStaffmgrMapper.selectTStaffmgrById(id);
    }

    /**
     * 查询人员信息
     *
     * @param staffId 人员信息IC卡号
     * @return 人员信息
     */
    @Override
    public TStaffmgr selectTStaffmgrByIc(String staffId) {
        return tStaffmgrMapper.selectTStaffmgrByIc(staffId);
    }

    /**
     * 查询人员信息列表
     *
     * @param tStaffmgr 人员信息
     * @return 人员信息
     */
    @Override
    public List<TStaffmgr> selectTStaffmgrList(TStaffmgr tStaffmgr)
    {
        return tStaffmgrMapper.selectTStaffmgrList(tStaffmgr);
    }

    /**
     * 新增人员信息
     *
     * @param tStaffmgr 人员信息
     * @return 结果
     */
    @Override
    public int insertTStaffmgr(TStaffmgr tStaffmgr)
    {
        return tStaffmgrMapper.insertTStaffmgr(tStaffmgr);
    }

    /**
     * 修改人员信息
     *
     * @param tStaffmgr 人员信息
     * @return 结果
     */
    @Override
    public int updateTStaffmgr(TStaffmgr tStaffmgr)
    {
        return tStaffmgrMapper.updateTStaffmgr(tStaffmgr);
    }

    /**
     * 批量删除人员信息
     *
     * @param ids 需要删除的人员信息ID
     * @return 结果
     */
    @Override
    public int deleteTStaffmgrByIds(Long[] ids)
    {
        return tStaffmgrMapper.deleteTStaffmgrByIds(ids);
    }

    /**
     * 删除人员信息信息
     *
     * @param id 人员信息ID
     * @return 结果
     */
    @Override
    public int deleteTStaffmgrById(Long id)
    {
        return tStaffmgrMapper.deleteTStaffmgrById(id);
    }
}
